LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
implementationentry.hxx File Reference
`#include "cppuhelper/factory.hxx"`
`#include "cppuhelper/cppuhelperdllapi.h"`

Go to the source code of this file.

## Classes
struct | cppu::ImplementationEntry
| One struct instance represents all data necessary for registering one service implementation. More...

## Namespaces
namespace | cppu

## Functions
CPPUHELPER_DLLPUBLIC sal_Bool | cppu::component_writeInfoHelper (void *pServiceManager, void *pRegistryKey, const struct ImplementationEntry entries[])
| Helper function for implementation of the component_writeInfo()-function.
CPPUHELPER_DLLPUBLIC void * | cppu::component_getFactoryHelper (const char *pImplName, void *pServiceManager, void *pRegistryKey, const struct ImplementationEntry entries[])
| Helper function for implementation of the component_getFactory()-function, that must be implemented by every shared library component.